Вопросы с тегом 'gem'

Gem относится к пакетному фрагменту кода, управляемому RubyGems. Gem также является именем инструмента командной строки, используемого для управления RubyGems.
6
ответов

Как установить конкретную версию рубинового драгоценного камня?

Используя инструмент командной строки gem, как я могу установить определенную версию драгоценного камня?
задан 10 июня '13 в 17:37
5
ответов

Удалите старые версии рубиновых камней

У меня есть несколько версий жемчужины Ruby: $ gem list rjb (1.3.4, 1.3.3, 1.1.9) Как удалить старые версии, но сохранить последние версии?
задан 05 мая '11 в 21:30
28
ответов

ошибка установки пакета с ошибкой проверки сертификата SSL

Когда я запускаю bundle install для моего проекта Rails 3 на Centos 5.5, он терпит неудачу с ошибкой: Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://bb-m.ru...
задан 20 апр. '12 в 15:13
16
ответов

Установка образа libv8 на OS X 10.9+

Я пытаюсь установить libv8 3.16.14.3, но получаю сообщение об ошибке в OSX Mavericks, используя последние стабильные rvm и ruby-1.9.3-p125. Это результат запуска команды "gem install libv8": ~/src(branch:master) » gem install libv8 Fetching: libv8-...
задан 25 окт. '13 в 1:17
7
ответов

Как обновить рубигемы

Мне нужно обновить gems до 1.8, я попробовал установить соответствующие пакеты debian, но кажется, что он не обновляется anujm@test:~$ dpkg -l |grep -i rubygem ii rubygems 1.3.5-1ubuntu2 ...
задан 29 нояб. '12 в 15:44
4
ответов

Настройка RSpec для проверки драгоценного камня (не Rails)

С добавленным генератором rspec-rails довольно легко установить RSpec для тестирования приложения Rails. Но как насчет добавления RSpec для тестирования драгоценного камня в разработке? Я не использую ювелир или такие инструменты. Я просто использова...
задан 09 дек. '10 в 15:37
2
ответов

Как получить конкретную "фиксацию" драгоценного камня от github?

Я использую rails_admin, и поскольку он находится в (очень) активной разработке, время от времени появляются ошибки. Нет никаких версий для драгоценного камня, насколько я могу судить, для gem в github, поэтому я не могу использовать ключ :version ...
задан 25 мая '11 в 8:33
13
ответов

Ubuntu noob rails устанавливает сбой на zlib

Я только что перешел на Ubuntu 8.10 в качестве своего dev box; это мой первый серьезный набег на Linux в качестве ежедневной операционной системы, и мне нелегко получить Rails. Я следил за рядом учебников, которые, похоже, работают нормально, но когд...
задан 20 апр. '09 в 21:22
4
ответов

Как перечислить все версии драгоценных камней, доступные на удаленном сайте?

Я пытаюсь найти все удаленные версии определенного драгоценного камня. Я попытался использовать: gem list rhc --remote Но это показывает: *** REMOTE GEMS *** rhc (0.84.15) rhcp (0.2.18) rhcp_shell (0.2.12) Любые идеи?
задан 05 февр. '12 в 3:53
5
ответов

ERROR: Ошибка при установке capybara-webkit:

Любые предложения по исправлению? gem install capybara-webkit -v '0.11.0' Building native extensions. This could take a while... ERROR: Error installing capybara-webkit: ERROR: Failed to build gem native extension. /home/durrantm/...
задан 06 июля '12 в 4:14
6
ответов

не может загрузить такой файл - zlib даже после использования rvm pkg install zlib

Я установил пакет zlib и ruby ​​1.9.3 с помощью rvm, но всякий раз, когда я пытаюсь установить драгоценные камни говорят cannot load such file -- zlib Команды, которые я использовал для установки, $ rvm install 1.9.3 $ rvm pkg install zlib $ rv...
задан 15 марта '12 в 23:46
6
ответов

Не удалось найти Gemfile

Я, конечно, не разработчик Ruby, но у меня есть приложение на моем сервере с использованием Ruby, Gems и Bundler. Я пытаюсь установить другой Ruby под другой учетной записью пользователя, но на том же VPS. Когда я иду, чтобы запустить bundle install...
задан 25 июля '10 в 19:16
12
ответов

"gem install therubyracer -v" 0.10.2 '"на osx mavericks, не устанавливающий

Попытка установить therubyracer на mavericks с помощью "gem install therubyracer -v" 0.10.2 '", но я получаю следующую ошибку: /Users/dennischen/.rvm/rubies/ruby-1.9.3-p194/bin/ruby extconf.rb checking for main() in -lobjc... yes creating Makefile ...
задан 28 окт. '13 в 11:33
3
ответов

Использование --no-rdoc и -no-ri с пакером

При использовании gem install gem_name я могу передать переключатели --no-rdoc и --no-ri, чтобы пропустить создание документации RDoc/RI для установки gem при установке. Есть ли аналогичный способ сделать это с помощью bundle install?
задан 24 сент. '11 в 2:09
15
ответов

Как установить драгоценный камень на 10.10 Йосемити?

Мне не удается установить драгоценный камень на Yosemite 10.10. Вот журнал: 11:53 $ gem install libv8 -v '3.16.14.3' -- --with-system-v8 Building native extensions with: '--with-system-v8' This could take a while... Successfully installed libv8...
задан 06 июня '14 в 15:07